Page MenuHomePhabricator

Rename the als.*.org projects to gsw.*.org
Closed, DuplicatePublic

Description

Author: bugs

Description:
(Moving all of this from the mailing list archives to Bugzilla so things
actually get done and don't get list, for reference: http://thread.gmane.org/gmane.org.wikimedia.foundation/34563/ )

Please change the language code of the Swiss German projects from "als" to "gsw". ("als" is actually Tosk Albanian.)

  • als.wikipedia.org -> gsw.wikipedia.org
  • als.wiktionary.org -> gsw.wiktionary.org
  • als.wikibooks.org -> gsw.wikibooks.org
  • als.wikiquote.org -> gsw.wikiquote.org

Version: unspecified
Severity: enhancement
URL: http://als.wikipedia.org

Duplicate of T6793

Details

Reference
bz23215

Event Timeline

bzimport raised the priority of this task from to Normal.
bzimport set Reference to bz23215.
bzimport added a subscriber: Unknown Object (MLST).

sinfo2 wrote:

Please move the wiki to gsw. Because in the incubator and on the request site for new languages exist requests for all the other language of the albanian language and the most article in the albanian wikipedia are write in Swiss German. --~~~~

RobH added a comment.Apr 6 2011, 5:42 PM

taking notes on how to do this and putting in here:

two options:

  1. rename database, update change in all dblists and config, update apache config (like new wiki
  1. create new project in the proper space, copy over old database, ensure it works. read only old project, redump/import, launch new project, pull old project offline and remove old databases

sinfo2 wrote:

I believe we should take option 1. Unfortunately I do not know exactly how to do that, but I think that the option 2 requires more effort.

bugs wrote:

(In reply to comment #2)

two options:

  1. rename database, update change in all dblists and config, update apache config (like new wiki
  2. create new project in the proper space, copy over old database, ensure it works. read only old project, redump/import, launch new project, pull old project offline and remove old databases

Did you see Brion's notes on the tracking bug? (bug 19986) We should probably put these there if they're not the same.

(In reply to comment #3)

I believe we should take option 1. Unfortunately I do not know exactly how to
do that, but I think that the option 2 requires more effort.

The reason I suggested option 2 is that option 1 will most likely break things (and not just the wiki being moved, but things like account creations and CentralAuth too) while the move is in progress. Also, option 2 allows us to try things out and see if they work, which I think is wise since we've never renamed a wiki before.

(In reply to comment #4)

Did you see Brion's notes on the tracking bug? (bug 19986) We should probably
put these there if they're not the same.

Quoting and addressing Brion's notes here:

  • if not changing DB name, may need to trace down various things making

assumptions about dbname <-> key/language/subdomain

    • I think we should change the DB name, that'll avoid this issue
  • if changing DB name, need to make sure anything using the dbname as a key for

shared data like CentralAuth is either transitioned or isn't harmed by the
change

    • memcached will be fine. CentralAuth is a good point
  • need to make sure interwiki keys / entries are kept or forwarded
    • keeping the old interwiki and setting up an HTTP redirect mostly takes care of this. We do have to keep the old language code in Names.php so existing language links keep working
  • need to make sure hostnames forward correctly (from MW config or does this

need loving in the web server config?)

    • we already agreed we need to do this
  • if keeping old DB location, may need to force cache clear of everything with

full URLs etc

    • not relevant, not keeping old DB name
  • if changing DB name, need to either make sure the versions of MySQL in use

support renaming databases (and confirm this doesn't have any replication
problems) or that the process of moving tables from one DB to another doesn't
explode

    • not relevant, not renaming but copying DB
  • if changing dbname, check also for things that key on dbname *outside* of

mediawiki itself, such as global config files, assignment of dbname <->
cluster, etc

  • to my knowledge this only applies to the dblists and db.php , but since we're not doing a real rename but a create new -- copy -- delete old procedure, this should be fine

clemens.kienzle wrote:

I don’t see the people at als.wikipedia having been included in or even informed of this in any way. I have been in contact with the people responsible for assigning ISO language codes, and the codes for Alemannic are likely to be changed at some point in the future anyway. I for one regard it as either negligence or an affront to take such a decision without consulting the people at the project involved in any way whatsoever in advance. Not cool. There are several trained linguists active on the als. project, and I do think we have something to add to this discussion. In summary: I urge you to put this on hold and engage in a discussion with the people at the project.

Clemens, this bug is merely a technical bug which was opened following a discussion on the mailing list:
http://thread.gmane.org/gmane.org.wikimedia.foundation/34563/ . The renaming is probably not going to happen anytime soon anyway.

Since your comment is a bit unclear, can you please state which language code should be used instead of gsw?

clemens.kienzle wrote:

Thanks for your quick reply, I'm not freaking out quite as much, now that you've said that the move won't take place right away;) But since I wasn't informed and only found out about this by chance, I don't know where to write.

In a nutshell: the classification and codes made by the Ethnologue (which ISO codes are based on) are total nonsense linguistically (basically because much like Wikipedia, many Ethnologue entries are provided by whoever files a request, regardless of qualification). I have filed a request with ISO to change the various codes for Alemannic (gsw, swg, wae, gct) to something more in line with current linguistic consensus. The Ethnologue and ISO will likely follow my suggestions at some point, which could result in a completely new code, or in GSW for all of Alemannic. But until that decision has been made by the Ethnologue, the project should not be moved at all. Otherwise we might just end up having to move it again, which would have a very negative impact on the project in my eyes.

Per Clemens comment above, I am closing this bug. It appears GSW might only be temporary, so better wait a final code :-)

Gerard.meijssen wrote:

The comments by Clemens do not address one essential thing, The current code als is the code for the most used Albanian language.

This is why the code has to change.
Thanks,

GerardM

clemens.kienzle wrote:

The "als" code stands for Tosk Albanian, not the Albanian language as a whole. The Standard Albanian Wikipedia already has an an edition under "sq". Since there is currently no request for a Tosk Wikipedia, there is no urgent need to move. When someone makes a viable request for Tosk, or when ISO get's their codes for Alemannic straightened out, we can move.

By the way: redirecting from "als" to "sq" as you guys are proposing wouldn't be right; Standard Albanian is based on Tosk, but still contains many Gheg variants (e.g. "katund" alonside "fshat", constructions like "do me thonë" etc), which are in fact becoming more and more numerous as writers from Kosovo are having more and more of a say in what Standard Albanian should be like.

Gerard.meijssen wrote:

All this does not negate the fact that the code als should never have been used. It is wrong on the most basic level, this situation needs to be remedied.
Thanks,

GerardM

clemens.kienzle wrote:

It shouldn't have been used, but it was, back in the early days before there was a language committee or guidelines for this. I don't see why now, years later, the Alemannic community should be punished for that by having the domain moved around multiple times. Please bring some more convincing arguments to the table as to why a grandfather clause shouldn't apply as long as there is no immediate need to open up the "als" domain.

millosh wrote:

  • Language committee has asked the Board and staff to find resources for making rename process painless. That should happen during up to the end of this year.
  • Chances that the JAC [1] would accept code switching are low, as it doesn't do that just for the sake of one internet project. (Note that one LangCom member is JAC member, as well.)
  • German Swiss Wikimedia projects will get redirect for at least one year for switching.
  • Anyway, from the point of technical implementation and counting the fact that the present process of renaming projects is painful, as well as that there is no harm to other projects, this can wait.
  • Language committee will insist on code renaming in this case just after JAC's decision. However, I recommend to the German Swiss community to start preparing as soon as possible, because delay will make just more damage to them -- as they would have to rename more links.

[1] http://www.loc.gov/standards/iso639-2/iso639jac.html

clemens.kienzle wrote:

1.The JAC wouldn't switch codes for just one project, but since it follows the classification of the SIL (Ethnologue), it will change the code when the Ethnologue does. This isn't something that will happen overnight though, the change request process with SIL seems to be very slow, and new editions of the Ethnologue are not released very often either.

2.There is no Swiss German Wikipedia community, the language and Wikipedia edition is called Alemannic, of which Swiss German is just one part. That is the reason why I am fighting "gsw" tooth and nail right now. "Gsw" right now does not stand for all Alemannic dialects, and als.wikipedia is NOT exclusively a Swiss German edition!

  1. It is not entirely clear to me what decision has been taken here. For the sake of transparency, it would be nice if there was a clear statement explaining what is going on. In particular, a statement informing the Alemannic community at our central discussion board: http://als.wikipedia.org/wiki/Wikipedia:Stammtisch

millosh wrote:

  1. Please, take a look what JAC is at the provided link [1]. Ethnologue is one of the participants of JAC and what JAC's decide, it will be Ethnologue's decision, as well.
  1. That's the valid reason.
  1. Nothing has been definitely decided yet in this case, as you've filled the request for code change.

[1] http://www.loc.gov/standards/iso639-2/iso639jac.html

clemens.kienzle wrote:

The change request for Alemannic is now finally online: http://www.sil.org/iso639-3/chg_detail.asp?id=2011-180&lang=aeg

Just want to note that the request for the macrolanguage code "aeg" was rejected by SIL. (http://www.sil.org/iso639-3/chg_detail.asp?id=2011-180&lang=aeg)

clemens.kienzle wrote:

(In reply to comment #19)

Just want to note that the request for the macrolanguage code "aeg" was
rejected by SIL.
(http://www.sil.org/iso639-3/chg_detail.asp?id=2011-180&lang=aeg)

Indeed, the reason being that no evidence was provided that swg, gsw, wae are treated as a single language in some contexts *sigh*. So now I guess I'm going to start compiling an exhaustive dialectological reference list and file another request, since dialectologists have been treating all these as a single language for something like the past 150 years or however long the field has been around, something that could have been easily verified even online by checking the site of the "Alemannisches Institut" (http://alemann.eva-server.de/cms/website.php?id=deralemannischeraum.htm) or this article by Renate Schrambke, one of the leading dialectologists in the field: http://www.alemannisch.de/unser_sprooch/Gliederung.htm

Gerard.meijssen wrote:

Is there any clue what it takes to get the ball rolling on renaming projects ?
Thanks,

Gerard

The general tracking bug 19986 which is for all wikis pending renaming.

is there any consensus about this one nowadays?

millosh wrote:

As community around als doesn't want change and the code won't be used for any other language (Albanian Tosk is standard Albanian; thus "sq" is used), I'd keep this issue open.

Gerard.meijssen wrote:

For all intends and purposes this code is wrong. When the project is not renamed, the code in the HTML should not have the als code.

This has little to do with consensus, this has to do with standards.

Thanks,

GerardM

(In reply to comment #9 by Clemens Kienzle)

I have filed a request with ISO [...], which could result in a completely new
code, or in GSW for all of Alemannic.

http://www.loc.gov/standards/iso639-2/php/langcodes-search.php lists "gsw" as an ISO 639-2 Language Code for "Swiss German; Alemannic; Alsatian".
So I guess that's the case now.
Also, http://unicode.org/cldr/trac/browser/trunk/common/main/ also lists a "gsw" file and no "als" files, plus a "gsw_CH" variant.

Summarizing the rest of the issue, as I've spent enough time here now anyway:

Comment #16: Opinion of Clemens Kienzle:

"Gsw" right now does not stand for all Alemannic dialects, and
als.wikipedia is NOT exclusively a Swiss German edition!

Comment #20: Clemens Kienzle quoting the answer by SIL:

no evidence was provided that swg, gsw, wae are treated as a single
language in some contexts *sigh*

millosh wrote:

If a community is strictly against something and that doesn't interfere with other communities, we shouldn't force them to do it.

Gerard.meijssen wrote:

Not changing the name is wrong. Not changing the code hidden in the HTML is something else.. That is beyond stupid AND it has nothing to do with our communities but everything with the functioning of the Internet.

We will not accept any new language that is not recognised as a language. We use the ISO-639-3 to determine what is a language. This is why our names for websites make sense. Als is NOT Alsatian, it will never be. When SIL says there is no evidence, we can talk to SIL and show them the error of their point. When it takes an official from the WMF to do that, so be it.

Thanks,

GerardM

millosh wrote:

Gerard, thank you again for your demagogy.

Gerard.meijssen wrote:

I was inspired to look at the HTML source it says... "wgPageContentLanguage":"gsw"

This means that for all intents and purposes the content is registered as gsw. That is the most crucial bit.

If the WMF wants to be inconsistent in its naming, it can do so. As long as the name is not changed, according to the language policy there cannot be a new Alsatian project.
Thanks,

GerardM
siebrand set Security to None.
Restricted Application added subscribers: Matanya, Aklapper. · View Herald TranscriptAug 12 2015, 1:09 AM
Koavf added a subscriber: Koavf.Aug 25 2015, 5:57 AM
Restricted Application added a subscriber: JEumerus. · View Herald TranscriptAug 25 2016, 11:47 PM
hashar lowered the priority of this task from Normal to Lowest.Sep 14 2016, 10:12 AM
Krinkle changed the task status from Open to Stalled.Apr 30 2017, 3:28 AM
Verdy_p updated the task description. (Show Details)Aug 24 2017, 2:18 PM
Restricted Application removed a subscriber: Liuxinyu970226. · View Herald TranscriptAug 24 2017, 2:20 PM
Meno25 removed a subscriber: Meno25.Sep 21 2018, 7:52 PM